## libgda4 4.0.2-0maemo0

=== debian/changelog ===
libgda4 (4.0.2-0maemo0) unstable; urgency=low

  * New upstream release
  * Package for maemo

 -- Johannes Schmid <jschmid@openismus.com>  Wed, 17 Jun 2009 10:06:45 +0200

libgda4 (4.0.0-0ubuntu1) jaunty; urgency=low

  * New upstream release (LP: #345132)
    - misc. corrections
    - use XDG Base Directory Specification to store DSN list
    - some minor bugfixes

 -- Andreas Moog <andreas.moog@warperbbs.de>  Thu, 19 Mar 2009 00:05:43 +0100

libgda4 (3.99.13-0ubuntu1) jaunty; urgency=low

  * New upstream release (LP: #340462)
    - libgda/gda-value.c: improved performances on gda_binary_to_string()
      and gda_string_to_binary(): removed g_memmove() usage and convert any
      non ASCII printable char to an octal representation (don't bither with
      unicode anymore)
    - libgda/gda-value.c: fix for bug #574193
    - tests/Makefile.am:
    - tests/test-ddl-creator.c: remove created DB before running test, and run
      as a test
    - tests/Makefile.am:
    - tests/tests/test-bin-converter.c: new test for gda_binary_to_string()
      and gda_string_to_binary()
    - configure.in: use ncurses if found instead of ncuses, fixes bug #574021
    - tools/tools-input.c: currected compilation issue if readline is not
      found, fixes bug #574020
    - configure.in:
    - libgda/Makefile.am:
    - libgda/gda-data-model-bdb.c:
    - providers/bdb/Makefile.am: the berkeley db livrary is now loaded only
      when needed: the libgda library is not linked directly with it anymore
    - tools/gda-sql.c:
      * corrected the "\i" command
      * corrected multi line commands handling
    - tools/gda-threader.c: removed unnecessary warning
    - tests/parser: added a new test which checks the parsing of whole script
      files
    - libgda/sql-parser/gda-sql-parser.c: consider a single '#' to be the
      start of a comment up to the end of the line for MySQL
    - libgda/libgda.symbols: added missing symbols
      (gda_data_model_error_get_type and 
      gda_utility_data_model_find_column_description), and other corrections
    - libgda/sqlite/: renamed symbols which are not supposed to be exported
    - libgda/libgda.symbols:
    - libgda/gda-row.[ch]: added gda_row_invalidate_value() and
      gda_row_value_is_valid() to be used by database providers' 
      implementations to tag individual values in a GdaRow as invalid (either
      because the value coud not be read or because the value could not be 
      intepreted as the requested data type)
    - libgda/sqlite: SQLite provider's improvements:
      * handle int64 types
      * fixed a bug when using the '*' in a SELECT to get a blob data
      * use the new gda_row_invalidate_value() API
    - libgda/gda-data-access-wrapper.c:
    - libgda/gda-data-model-array.c:
    - providers/mysql/gda-mysql-recordset.c:
    - providers/postgres/gda-postgres-recordset.c: use the new
      gda_row_invalidate_value() API
    - libgda/gda-data-select.c: use the new gda_row_value_is_valid() API
    - libgda/gda-data-model.c: gda_data_model_dump_as_string() and
      gda_data_model_dump () now display #### when the value of a column 
      can't be obtained and displayed instead of undefined result
    - providers/mysql: more work on the MySQL provider:
      * some work on the parameters' binding to use the correct type (not
        always MYSQL_TYPE_STRING
      * don't pass the bound parameters to the GdaMysqlPStmt as it does not
        use them
      * double free problem in GdaMysqlRecordset
    - providers/mysql: more work on the MySQL provider:
      * use a MYSQL_STMT per prepared statement
      * if the same prepared statement is executed more than once and is
        a SELECT, then use another MYSQL_STMT to avoid conflicting with
        the previous one
    - libgda/sql-parser/gda-statement-struct.c:
    - doc/C: doc. improvements
    - libgda/gda-meta-struct.c: misc corrections
    - libgda/gda-data-proxy.c: made it thread safe
    - libgda/libgda.symbols:
    - libgda/gda-util.[ch]: added gda_sql_identifier_split()
    - providers/mysql/*: more MySQL provider work:
      * remove double quotes around tables names when rendering SQL
      * make sure the connection uses UTF-8
      * corrected the handling of NULL values in GdaMysqlRecordset
      * removed compilation warnings
      * improved meta data retreival
    - libgda/gda-connection.c: improved debug message
    - libgda/sqlite/sqlite-src/Makefile.am: define the
      SQLITE_OMIT_LOAD_EXTENSION flag to avoid having to link with libdl, 
      possible fix for bug #572277
    - providers/mysql/gda-mysql-meta.c:
    - providers/mysql/gda-mysql-recordset.c: general MySQL provider
      improvements
    - providers/mysql/gda-mysql-provider.c: possible fix for bug #572394
    - libgda/gda-util.c (gda_utility_data_model_dump_data_to_xml): Don't
      leak rcols, fixes bug #572734
    - libgda/sqlite/gda-sqlite-provider.c:
      gda_sqlite_provider_begin_transaction()
      gda_sqlite_provider_commit_transaction()
      gda_sqlite_provider_rollback_transaction(): Set error when statement
      execution fails.
    - libgda/gda-meta-store.c: corrected
      gda_meta_store_schema_get_structure(), fixes bug #542847
    - libgda/sqlite/sqlite-src: uses SQLite version 3.6.11
    - doc/C: doc. improvements regarding GdaDataHandler
    - make sure the gda_data_handler_get_sql_from_value() function is 
      implemented in a coherent way, fixed bug #572220
    - Makefile.w32: removed any obsolete reference to bonobo,
      for bug #571879
    - fixed gda_string_to_binary() and gda_string_to_blob(),
      for bug #572028
    - removed the const from gda_value_take_binary() and
      gda_value_take_blob()
    - samples/MetaStore/example.c: corrected the usage of
      gda_connection_get_meta_store_data()
    - libgda/gda-connection.c: when using gda_connection_get_meta_store_data()
      with GDA_CONNECTION_META_FIELDS, accept the filter composed of

