## libgda4 4.0.4-0maemo0

=== debian/changelog ===
libgda4 (4.0.4-0maemo0) unstable; urgency=low

  * New upstream version

 -- Johannes Schmid <jschmid@openismus.com>  Mon, 31 Aug 2009 12:12:21 +0200
