## libgda4 4.0.9

=== debian/changelog ===
libgda4 (4.0.9-1) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    - Let gir1.0-gda-4.0 depend on ${gir:Depends}.
    - Build depend on gir1.0-freedesktop and gir1.0-glib-2.0.
  * debian/rules:
    - Call dh_girepository for gir1.0-gda-4.0.
  * debian/rules,
    debian/source/format:
    - Switch to source format 3.0 (quilt).

  [ Piotr Pokora ]
  * New upstream. Closes: #577711

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 16 Jul 2010 23:37:27 +0200

libgda4 (4.0.8-1) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/rules:
    - Run the test suite during the build, but don't make it fatal (yet).

  [ Piotr Pokora ]
  * New upstream
  * Build depend on libmysqlclient-dev package.
  * Added libgda4 possible conflicts (also added to Replaces for save updates).
  * New gir1.0-gda-4.0 package
  * Dev package suggests doc one

 -- Piotr Pokora <piotrek.pokora@gmail.com>  Mon, 08 Mar 2010 19:34:07 +0100

libgda4 (4.0.7-1) unstable; urgency=low

  * New upstream
  * Removed libgda3-doc suggested package

 -- Piotr Pokora <piotrek.pokora@gmail.com>  Wed, 10 Feb 2010 16:28:43 +0100

libgda4 (4.0.6-1) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * Build depend on libreadline-dev rather than libreadline5-dev.
    Closes: #553798.

  [ Josselin Mouette ]
  * Explicitly disable java.

  [ Piotr Pokora ]
  * New upstream release
  * Removed duplicated libsqlite3-dev build dependency

  [ Emilio Pozuelo Monfort ]
  * Standards-Version is 3.8.4, no changes needed.

 -- Piotr Pokora <piotrek.pokora@gmail.com>  Thu, 28 Jan 2010 11:31:29 +0100

libgda4 (4.0.4-1) unstable; urgency=low

  * New upstream release.
  * Bump libglib2.0-dev build dependency and remove libgnomevfs-dev,
    to build with gio support.
  * debian/patches/01_manpage.patch:
    - Removed, fixed upstream.
  * Standards-Version is 3.8.3, no changes needed.
  * Remove DM-Upload-Allowed field.
  * debian/rules:
    - Don't install the trml python modules, they are optional
      and we should use the standalone packages in any case.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 01 Sep 2009 00:01:06 +0200

libgda4 (4.0.2-1) unstable; urgency=low

  [ Gustavo R. Montesino ]
  * New major upstream version. Closes: #520092.
    - Update packaging for the new version.
  * debian/control.in: 
    - Add misc depends to libgda4-common
    - Fix MySQL spelling
  * debian/patches:
    - 01_gds_info_new_remove.patch: Removed - not relevant anymore
    - 02_libgda3_ia64_segv.patch: Removed - applied upstream 

  [ Emilio Pozuelo Monfort ]
  * debian/watch: don't uupdate.
  * The dbg package is section debug.
  * debian/rules: little cleanup.
  * debian/copyright: point to the versionful license.
  * debian/control: Inherit the Section from the source stanza where
    it's duplicated.
  * Standards-Version is 3.8.2, changes:
    - Don't ship our own copy of jquery.js, link to the one in libjs-jquery
      instead. Thus depend on libjs-jquery.
  * Move some packages to the database section.
  * debian/control: clean up whitespaces.
  * Add Homepage field.
  * New upstream release.
    - Use the system sqlite instead of our own copy.
  * debian/copyright: Updated.
  * Rename the binary packages to match the library name in the packages.

  [ Josselin Mouette ]
  * 01_manpage.patch: fix syntax error in a manual page.
  * Don’t include libtool files.
  * Put the sqlite provider directly in the library package, so that 
    there is always at least one working provider.
  * Set the list as maintainer, since Gustavo’s email bounces.

 -- Josselin Mouette <joss@debian.org>  Fri, 14 Aug 2009 16:52:54 +0200
