## libgda4 4.0.12

=== debian/changelog ===
libgda4 (4.0.12-1) unstable; urgency=low

  * New upstream release.

 -- Josselin Mouette <joss@debian.org>  Tue, 12 Oct 2010 18:58:26 +0200
