=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/libgda/([\d\.]+[02468])/ \
	libgda-(.*)\.tar\.gz
