## libgda4 4.2.4

=== debian/changelog ===
libgda4 (4.2.4-1ubuntu1) natty; urgency=low

  * debian/patches/allow-loading-sqlite-so-0.patch:
    - Load libsqlite3.so.0 if available, instead of requiring libsqlite3.so.
      LP: #722079

 -- Michael Terry <mterry@ubuntu.com>  Mon, 21 Mar 2011 08:21:01 -0400

libgda4 (4.2.4-1) experimental; urgency=low

  * New upstream 

 -- Piotr Pokora <piotrek.pokora@gmail.com>  Wed, 16 Feb 2011 18:14:37 +0100

libgda4 (4.2.2-2) experimental; urgency=low

  * Update to the new gir policy:
    - Rename gir1.0-gda-4.0 to gir1.2-gda-4.0.
    - Bump the gobject-introspection build dependency.
    - Build depend on gir1.2 packages.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 23 Dec 2010 12:51:06 +0000

libgda4 (4.2.2-1) experimental; urgency=low

  [ Piotr Pokora ]
  * New upstream release
  * Disabled SQLCipher provider
  * Removed unrecognized configure options
  * Build postgresql provider using boolean configure option
  * Standards-Version bump (3.9.1)  

  [ Emilio Pozuelo Monfort ]
  * debian/copyright:
    - Updated.
  * debian/rules:
    - Abort the build if the test suite doesn't pass.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 11 Dec 2010 15:12:39 +0100
