=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: libgda4
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Piotr Pokora <piotrek.pokora@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Piotr Pokora <piotrek.pokora@gmail.com>
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/packages/unstable/libgda4/
 Vcs-Svn: svn://svn.debian.org/pkg-gnome/packages/unstable/libgda4/
 Build-Depends: cdbs (>= 0.4.41),
@@ -24,13 +25,13 @@
                libsoup2.4-dev,
                zlib1g-dev,
                scrollkeeper,
-               gobject-introspection (>= 0.6.5),
-               libgirepository1.0-dev (>= 0.6.5),
-               gir1.0-freedesktop,
-               gir1.0-glib-2.0
+               gobject-introspection (>= 0.10.0),
+               libgirepository1.0-dev (>= 0.10.0),
+               gir1.2-freedesktop,
+               gir1.2-glib-2.0
 Build-Depends-Indep: gtk-doc-tools,
                      sgmltools-lite
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://www.gnome-db.org/
 
 Package: libgda-4.0-4
@@ -169,13 +170,14 @@
  This package contains the provider needed to access PostgreSQL
  databases through libgda.
 
-Package: gir1.0-gda-4.0
+Package: gir1.2-gda-4.0
 Section: libs
 Architecture: any
-Depends: libgda-4.0-4 (= ${binary:Version}),
-        ${shlibs:Depends},
-        ${misc:Depends},
-        ${gir:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         ${gir:Depends}
+Conflicts: gir1.0-gda-4.0
+Replaces: gir1.0-gda-4.0
 Description: data abstraction library based on GLib -- GObject Introspection
  libgda is a (relatively small) database abstraction/access library
  integrated on the GLib object model. It can be used as a metadata
