=== debian/rules ===
--- 
+++ 
@@ -15,21 +15,16 @@
 DEB_DH_MAKESHLIBS_ARGS_ALL += -X /usr/lib/libgda-4.0/providers
 DEB_DH_INSTALL_SOURCEDIR := debian/tmp
 
-DEB_MAKE_CHECK_TARGET = check || true
+DEB_MAKE_CHECK_TARGET = check
 
-DEB_CONFIGURE_EXTRA_FLAGS += --with-postgres=$(shell pg_config --includedir)	\
+DEB_CONFIGURE_EXTRA_FLAGS += --with-postgres=yes	\
 				--without-bdb		\
-				--without-mSQL		\
-				--without-ibmdb2	\
-				--without-sybase	\
-				--without-tds		\
 				--without-oracle	\
 				--without-firebird	\
-				--without-xbase		\
 				--without-mdb		\
-				--without-ldap		\
 				--without-java		\
-				--enable-system-sqlite
+				--enable-system-sqlite  \
+				--disable-crypto
 
 # Only build the docs if this file is present (e.g. when building arch.all packages)
 $(DEB_BUILDDIR)/config.status: DEB_CONFIGURE_EXTRA_FLAGS += $(shell if test -f /usr/share/pkgconfig/gtk-doc.pc; then echo "--enable-gtk-doc"; fi)
@@ -61,7 +56,7 @@
 		dh_link -p$$i usr/share/doc/libgda-4.0-$(SONAME) usr/share/doc/$$i; \
 	done
 
-binary-predeb/gir1.0-gda-4.0::
+$(patsubst %,binary-predeb/%,$(DEB_ALL_PACKAGES)) ::
 	dh_girepository -p$(cdbs_curpkg)
 
 .PHONY: clean common-binary-post-install-arch
