## libgda4 4.2.8

=== debian/changelog ===
libgda4 (4.2.8-2) unstable; urgency=low

  * Rely on cdbs to call dh_girepository:
    - Bump Build-Depends on cdbs to (>= 0.4.90).
    - Remove custom dh_girepository rules from debian/rules.
  * debian/libgda-4.0-common.install
    - Don't install the sales_test.db test data file.
  * debian/libgda-4.0-common.preinst:
    - Cleanup /etc/libgda-4.0/sales_test.db on upgrades.
  * Upload to unstable, remove check-dist.mk from debian/rules.
  * Move Gda-4.0.gir from gir1.2-gda-4.0 into libgda-4.0-dev and add the
    necessary Breaks/Replaces.
  * Install libgda-web provider and its corresponding .pc file.
  * debian/rules:
    - Be more specific which features we enable to get reliable builds in a
      tainted build environment. Explicitly disable ldap, gnome-keyring and
      GTK+ extension and tools support.
    - Trap errors in for loop using 'set -e'.
    - Bump shlibs version to (>= 4.2.8) for libgda-4.0-4.

 -- Michael Biebl <biebl@debian.org>  Wed, 20 Jul 2011 20:59:29 +0200

libgda4 (4.2.8-1) experimental; urgency=low

  [ Piotr Pokora ]
  * New upstream release

  [ Michael Biebl ]
  * debian/watch: Switch to .bz2 tarballs.
  * debian/control.in:
    - Drop Build-Depends on dpkg-dev (>= 1.13.19), even lenny has a more
      recent version.
    - Bump Standards-Version to 3.9.2. No further changes.
    - Drop old Conflicts and Replaces which are no longer necessary.
  * Bump debhelper compatibility level to 8. Update Build-Depends accordingly.
  * Don't abort on test-suite failures. The test-suite needs more work first.

 -- Michael Biebl <biebl@debian.org>  Thu, 16 Jun 2011 23:02:17 +0200

libgda4 (4.2.6-1) experimental; urgency=low

  [ Josselin Mouette ]
  * Make the -dev package depend on the gir package.

  [ Piotr Pokora ]
  * New upstream release 

  [ Jordi Mallach ]
  * Include check-dist.mk.

 -- Jordi Mallach <jordi@debian.org>  Sat, 23 Apr 2011 14:01:42 +0200

libgda4 (4.2.5-1) experimental; urgency=low

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 28 Mar 2011 21:45:40 +0100
