=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: libgda4
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Piotr Pokora <piotrek.pokora@gmail.com>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jordi Mallach <jordi@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Piotr Pokora <piotrek.pokora@gmail.com>
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/packages/unstable/libgda4/
 Vcs-Svn: svn://svn.debian.org/pkg-gnome/packages/unstable/libgda4/
-Build-Depends: cdbs (>= 0.4.41),
-               debhelper (>= 5),
-               dpkg-dev (>= 1.13.19),
+Build-Depends: cdbs (>= 0.4.90),
+               debhelper (>= 8),
                gnome-pkg-tools (>= 0.11),
                intltool,
                pkg-config (>= 0.18),
@@ -31,7 +29,7 @@
                gir1.2-glib-2.0
 Build-Depends-Indep: gtk-doc-tools,
                      sgmltools-lite
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.gnome-db.org/
 
 Package: libgda-4.0-4
@@ -42,8 +40,8 @@
 Suggests: libgda-4.0-bin,
           libgda-4.0-mysql,
           libgda-4.0-postgres
-Conflicts: libgda2-1, libgda4-4, libgda4-sqlite
-Replaces: libgda2-1, libgda4-4, libgda4-sqlite
+Conflicts: libgda4-4, libgda4-sqlite
+Replaces: libgda4-4, libgda4-sqlite
 Description: data abstraction library based on GLib
  libgda is a (relatively small) database abstraction/access library
  integrated on the GLib object model. It can be used as a metadata
@@ -56,8 +54,8 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Conflicts: libgda-common (<< 0.2.96-6.2), libgda4-bin
-Replaces: libgda-common (<< 0.2.96-6.2), libgda4-bin
+Conflicts: libgda4-bin
+Replaces: libgda4-bin
 Description: data abstraction library based on GLib -- binary files
  libgda is a (relatively small) database abstraction/access library
  integrated on the GLib object model. It can be used as a metadata
@@ -74,8 +72,8 @@
 Depends: ${misc:Depends},
          libjs-jquery
 Recommends: libgda-4.0-4
-Conflicts: libgda-common (<< 0.2.96-6.2), libgda4-common
-Replaces: libgda-common (<< 0.2.96-6.2), libgda4-common
+Conflicts: libgda4-common
+Replaces: libgda4-common
 Description: data abstraction library based on GLib -- common files
  libgda is a (relatively small) database abstraction/access library
  integrated on the GLib object model. It can be used as a metadata
@@ -89,12 +87,13 @@
 Section: libdevel
 Architecture: any
 Depends: libgda-4.0-4 (= ${binary:Version}),
+         gir1.2-gda-4.0 (= ${binary:Version}),
          libglib2.0-dev (>= 2.2.0),
          libxslt1-dev,
          ${misc:Depends}
 Suggests: libgda-4.0-doc
-Conflicts: libgda4-dev, libgda4-sqlite
-Replaces: libgda4-dev, libgda4-sqlite
+Breaks: libgda4-dev, libgda4-sqlite, gir1.2-gda-4.0 (<< 4.2.8-2)
+Replaces: libgda4-dev, libgda4-sqlite, gir1.2-gda-4.0 (<< 4.2.8-2)
 Description: data abstraction library based on GLib -- development files
  libgda is a (relatively small) database abstraction/access library
  integrated on the GLib object model. It can be used as a metadata
@@ -126,7 +125,6 @@
 Architecture: all
 Depends: lynx | www-browser,
          ${misc:Depends}
-Conflicts: libgda-doc
 Description: data abstraction library based on GLib -- documentation files
  libgda is a (relatively small) database abstraction/access library
  integrated on the GLib object model. It can be used as a metadata
