=== debian/rules ===
--- 
+++ 
@@ -12,18 +12,25 @@
 SONAME := 4
 
 LDFLAGS += -Wl,-z,defs -Wl,--as-needed -Wl,-O1
+
 DEB_DH_MAKESHLIBS_ARGS_ALL += -X /usr/lib/libgda-4.0/providers
-DEB_DH_INSTALL_SOURCEDIR := debian/tmp
+DEB_DH_MAKESHLIBS_ARGS_libgda-4.0-$(SONAME) += -V 'libgda-4.0-$(SONAME) (>= 4.2.8)'
 
-DEB_MAKE_CHECK_TARGET = check
+DEB_MAKE_CHECK_TARGET = check || true
 
-DEB_CONFIGURE_EXTRA_FLAGS += --with-postgres=yes	\
+DEB_CONFIGURE_EXTRA_FLAGS +=	--with-postgres		\
+				--with-mysql		\
+				--with-libsoup		\
 				--without-bdb		\
 				--without-oracle	\
+				--without-ldap		\
 				--without-firebird	\
 				--without-mdb		\
 				--without-java		\
-				--enable-system-sqlite  \
+				--without-gnome-keyring	\
+				--without-ui		\
+				--enable-system-sqlite	\
+				--enable-introspection	\
 				--disable-crypto
 
 # Only build the docs if this file is present (e.g. when building arch.all packages)
@@ -49,14 +56,11 @@
 	rm -r debian/libgda-4.0-bin/usr/bin/gda_trml2*
 
 common-binary-post-install-arch::
-	for i in libgda-4.0-common libgda-4.0-bin libgda-4.0-dev libgda-4.0-$(SONAME)-dbg \
+	set -e; for i in libgda-4.0-common libgda-4.0-bin libgda-4.0-dev libgda-4.0-$(SONAME)-dbg \
 	  libgda-4.0-mysql libgda-4.0-postgres libgda-4.0-sqlite; \
 	do \
 		rm -rf debian/$$i/usr/share/doc; \
 		dh_link -p$$i usr/share/doc/libgda-4.0-$(SONAME) usr/share/doc/$$i; \
 	done
 
-$(patsubst %,binary-predeb/%,$(DEB_ALL_PACKAGES)) ::
-	dh_girepository -p$(cdbs_curpkg)
-
 .PHONY: clean common-binary-post-install-arch
